Subject: Re: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: martin rudalics <[email-masked]>
Date: Tue, 28 Jan 2025 18:19:13 +0100

> Okay, understood. Changing the C code would be quite a challenge anyway
 > :-). It took me at least 10x the time to get to what is there now
 > frame-wise, so to speak, compared to what I needed to add to redisplay.

Don't worry.  Nobody really knows what do_switch_frame does but everyone
calls it.

 > Will you continue to work on this?
 >
 > I'm asking because I'm considering to phase down my involvement in
 > Emacs, at least for some time. I'll continue to be available per mail,
 > of course, but I don't plan to commit changes.

I can try to look into the frame.c related issues.  I'm certainly not
able to work on dispnew.c.  But maybe it's only the

   eassert (FRAME_VISIBLE_P (root));

assertion there that would have to be adapted.

martin